Name:          pavucontrol
Version:       6.0
Release:       1mamba
Summary:       A simple GTK based volume control tool ("mixer") for the PulseAudio sound server
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://freedesktop.org/software/pulseaudio/pavucontrol/
Source:        http://freedesktop.org/software/pulseaudio/pavucontrol/pavucontrol-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcanberra-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglibmm-devel
BuildRequires: libgtk-devel
BuildRequires: libgtkmm-devel
BuildRequires: libjson-glib-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libpulseaudio-glib-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libsigc++-devel >= 2.6.2-2mamba
Requires:      pulseaudio

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK based volume control tool ("mixer") for the PulseAudio sound server.
In contrast to classic mixer tools this one allows you to control both the volume of hardware devices and of each playback stream separately.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/pavucontrol
%{_datadir}/applications/org.pulseaudio.pavucontrol.desktop
%{_metainfodir}/org.pulseaudio.pavucontrol.metainfo.xml
%dir %{_docdir}/pavucontrol
%{_docdir}/pavucontrol/*
%doc LICENSE

%changelog
* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 6.0-1mamba
- automatic version update by autodist

* Mon Aug 16 2021 Automatic Build System <autodist@mambasoft.it> 5.0-1mamba
- automatic version update by autodist

* Wed Mar 06 2019 Automatic Build System <autodist@mambasoft.it> 4.0-1mamba
- automatic version update by autodist

* Fri Dec 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-3mamba
- rebuilt with libsgc++ rebuilt with gcc 5.3.0 and with -std=gnu++11

* Fri Dec 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-2mamba
- rebuilt with gcc 5.3.0

* Thu Mar 26 2015 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Fri Jul 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- package created using the webbuild interface
